/*
 * Common environment definitions.
 *
 * Copyright (C) 2023, 2024 Paul Boddie <paul@boddie.org.uk>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA
 */

#pragma once

EXTERN_C_BEGIN

#define ENV_FILESYSTEM_SERVER_NAME "fsserver"
#define ENV_PIPE_SERVER_NAME       "pipeserver"
#define ENV_PROCESS_SERVER_NAME    "prserver"

#define ENV_INPUT_STREAM_NAME      "stdin"
#define ENV_OUTPUT_STREAM_NAME     "stdout"
#define ENV_ERROR_STREAM_NAME      "stderr"

EXTERN_C_END

// vim: tabstop=2 expandtab shiftwidth=2
